Package fr.gouv.vitam.common.model.massupdate

# Class RuleActions

java.lang.Object
fr.gouv.vitam.common.model.massupdate.RuleActions

public class RuleActions extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RuleActions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Map<String,RuleCategoryAction>>`
  `getAdd()`
  `ManagementMetadataAction`
  `getAddOrUpdateMetadata()`
  `List<Map<String,RuleCategoryActionDeletion>>`
  `getDelete()`
  `ManagementMetadataAction`
  `getDeleteMetadata()`
  `List<Map<String,RuleCategoryAction>>`
  `getUpdate()`
  `boolean`
  `isRuleActionsEmpty()`
  `void`
  `setAdd(List<Map<String,RuleCategoryAction>> add)`
  `void`
  `setAddOrUpdateMetadata(ManagementMetadataAction addOrUpdateMetadata)`
  `void`
  `setDelete(List<Map<String,RuleCategoryActionDeletion>> delete)`
  `void`
  `setDeleteMetadata(ManagementMetadataAction deleteMetadata)`
  `void`
  `setUpdate(List<Map<String,RuleCategoryAction>> update)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RuleActions

    public RuleActions()

- ## Method Details

  - ### getAdd

    public List<Map<String,RuleCategoryAction>> getAdd()

  - ### setAdd

    public void setAdd(List<Map<String,RuleCategoryAction>> add)

  - ### getUpdate

    public List<Map<String,RuleCategoryAction>> getUpdate()

  - ### setUpdate

    public void setUpdate(List<Map<String,RuleCategoryAction>> update)

  - ### getDelete

    public List<Map<String,RuleCategoryActionDeletion>> getDelete()

  - ### setDelete

    public void setDelete(List<Map<String,RuleCategoryActionDeletion>> delete)

  - ### getAddOrUpdateMetadata

    public ManagementMetadataAction getAddOrUpdateMetadata()

  - ### setAddOrUpdateMetadata

    public void setAddOrUpdateMetadata(ManagementMetadataAction addOrUpdateMetadata)

  - ### getDeleteMetadata

    public ManagementMetadataAction getDeleteMetadata()

  - ### setDeleteMetadata

    public void setDeleteMetadata(ManagementMetadataAction deleteMetadata)

  - ### isRuleActionsEmpty

    public boolean isRuleActionsEmpty()